ProgramFile
! cRobot 'AX-V6L'
! Below section is called once at t=0
! Add Initialization commands here
! 
zuendzeit = 1.0
Reingzeit = 7.0
ov_slow = 10.0
ov_fast = 80.0
arc_v = 0.700/60
s_zeit_innen = 0
s_zeit_aussen = 0
b_rein_zeit = 0
z_zeit = 0
path_zeit = 0
tq1 = 0
tq2 = 0
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC FLOOR OFF
ERC IPO_COORSYS OFF
ERC BASE_COORSYS OFF
ERC DISPLAY_TAGS OFF
! 
ERC TRACK OFF
ERC TRACK_TYPE LINE 3
! 
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! 
Home HOME_1
SPEED_CP         arc_v
AUTO_ACCEL ON
CIRC_ORI QUATERNION
LIN_ORI QUATERNION
CIRC_ORI_QUAT_IPO START_VIAORI_END

ERC USE_TAG_ATTRIBUTES OFF
ERC NO_DECEL ON

ERC TRACK ON
CALL TRACE_NOSHOW()
! 
tq1 = 0
tq2 = 0
call Fct_MoveTragarm()

call Fct_ALL_PATH_I()
s_zeit_innen = sim_time()

CALL Fct_Brenner_Rng()

call Fct_ALL_PATH_A()
s_zeit_aussen = sim_time() - s_zeit_innen

Home HOME_1
tq1 = 0
tq2 = 0
call Fct_MoveTragarm()

!call Fct_ALL_PATH()
!call Fct_LOOP()

Home HOME_1
! 
ERC DISPLAY_TAGS ON
! 
EndProgramFile

! --------------------------------
! PATH INNEN
! --------------------------------
FCT Fct_ALL_PATH_I()
call Fct_AKessel_OFF()

tq1 = 90
tq2 = 0
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_LinksI()
CALL TRACE_NOSHOW()

PTP AWAY_1
tq1 = 90
tq2 = 180
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_RechtsI()
CALL TRACE_NOSHOW()
CALL Fct_Brenner_Rng()

PTP AWAY_1
tq1 = 90
tq2 = 90
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_HintenI()
CALL TRACE_NOSHOW()

PTP AWAY_1
tq1 = 70
tq2 = -90
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_VorneI()
CALL TRACE_NOSHOW()

CALL Fct_Brenner_Rng()
tq1 = 0
tq2 = 0
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_ObenI()
CALL TRACE_NOSHOW()

Home HOME_1
tq1 = 0
tq2 = 90
call Fct_MoveTragarm()
CALL TRACE_SHOW()
call Fct_InnnenI()
CALL TRACE_NOSHOW()
ENDFCT

! --------------------------------
! PATH AUSSEN
! --------------------------------
FCT Fct_ALL_PATH_A()
call Fct_AKessel_ON()
tq1 = 0
tq2 = 0
call Fct_MoveTragarm()
call Fct_ObenA()
CALL Fct_Brenner_Rng()

PTP AWAY_1
tq1 = 90
tq2 = 180
call Fct_MoveTragarm()
call Fct_RechtsA()

PTP AWAY_1
tq1 = 90
tq2 = 0
call Fct_MoveTragarm()
Call Fct_LinksA()
CALL Fct_Brenner_Rng()

Call Fct_HintenA()

PTP AWAY_1
tq1 = 90
tq2 = -90
call Fct_MoveTragarm()
Call Fct_VorneA()
ENDFCT

!---------------------------------
!   Aussen
!---------------------------------
FCT Fct_RechtsA()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH072
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH070
call Fct_Zuenden()
ALONG PATH073
call Fct_Zuenden()
ALONG PATH074
call Fct_Zuenden()
ALONG PATH075
call Fct_Zuenden()
ALONG PATH076
call Fct_Zuenden()
ALONG PATH077
call Fct_Zuenden()
ALONG PATH078
call Fct_Zuenden()
ENDFCT

FCT Fct_LinksA()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH071
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH079
call Fct_Zuenden()
ALONG PATH080
call Fct_Zuenden()
ALONG PATH081
call Fct_Zuenden()
ALONG PATH082
call Fct_Zuenden()
ALONG PATH083
call Fct_Zuenden()
ALONG PATH084
call Fct_Zuenden()
ALONG PATH085
call Fct_Zuenden()
ENDFCT

FCT Fct_HintenA()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ENDFCT

FCT Fct_VorneA()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH086
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH088
PTP AWAY_1
tq1 = 70
call Fct_MoveTragarm()
call Fct_Zuenden()
ALONG PATH087
call Fct_Zuenden()
ALONG PATH089
call Fct_Zuenden()
ALONG PATH090
ENDFCT

FCT Fct_ObenA()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH061
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH063
call Fct_Zuenden()
ALONG PATH064
call Fct_Zuenden()
ALONG PATH066
call Fct_Zuenden()
ALONG PATH067
call Fct_Zuenden()
ALONG PATH068
call Fct_Zuenden()
ALONG PATH069
PTP AWAY_1
tq1 = 0
tq2 = 180
call Fct_MoveTragarm()
call Fct_Zuenden()
ALONG PATH062
call Fct_Zuenden()
ALONG PATH065
ENDFCT
!---------------------------------
!   Innen
!---------------------------------
FCT Fct_LinksI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_26
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_27
call Fct_Zuenden()
ALONG PATH_28
call Fct_Zuenden()
ALONG PATH_29
call Fct_Zuenden()
ALONG PATH_30
call Fct_Zuenden()
ALONG PATH_31
call Fct_Zuenden()
ALONG PATH_32
call Fct_Zuenden()
ALONG PATH_33
call Fct_Zuenden()
ALONG PATH_34
call Fct_Zuenden()
ALONG PATH_35
call Fct_Zuenden()
ALONG PATH_36
call Fct_Zuenden()
ALONG PATH_37

PTP_AX         -11.7503    88.9149   -13.4860   -62.6082   -72.7510  -262.8334+360     0.0000   180.0000
tq1 = 70
call Fct_MoveTragarm()
call Fct_Zuenden()
ALONG PATH_8
call Fct_Zuenden()
ALONG PATH_5
call Fct_Zuenden()
ALONG PATH_10
ENDFCT

FCT Fct_RechtsI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_2
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_3
call Fct_Zuenden()
ALONG PATH_4
call Fct_Zuenden()
ALONG PATH_12
call Fct_Zuenden()
call Fct_Zuenden()
ALONG PATH_13
call Fct_Zuenden()
ALONG PATH_14
call Fct_Zuenden()
ALONG PATH_15
call Fct_Zuenden()
ALONG PATH_16
call Fct_Zuenden()
ALONG PATH_17
call Fct_Zuenden()
ALONG PATH_18
call Fct_Zuenden()
ALONG PATH_19
call Fct_Zuenden()
ALONG PATH_20

PTP AWAY_1
tq1 = 70
call Fct_MoveTragarm()
call Fct_Zuenden()
ALONG PATH_7
call Fct_Zuenden()
ALONG PATH_6
call Fct_Zuenden()
ALONG PATH_9
ENDFCT

FCT Fct_HintenI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_49
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_50
call Fct_Zuenden()
ALONG PATH_51
call Fct_Zuenden()
ALONG PATH_52
call Fct_Zuenden()
ALONG PATH_53
call Fct_Zuenden()
ALONG PATH_54
ENDFCT

FCT Fct_VorneI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_40
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_41

PTP AWAY_1
tq1 = 90
call Fct_MoveTragarm()
call Fct_Zuenden()
ALONG PATH_42
call Fct_Zuenden()
ALONG PATH_43
call Fct_Zuenden()
ALONG PATH_44
call Fct_Zuenden()
ALONG PATH_45
ENDFCT

FCT Fct_ObenI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_11
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_21
call Fct_Zuenden()
ALONG PATH_22
call Fct_Zuenden()
ALONG PATH_23
call Fct_Zuenden()
ALONG PATH_24
call Fct_Zuenden()
ALONG PATH_25
ENDFCT

FCT Fct_InnnenI()
call Fct_Zuenden()
SPEED_PTP_OV   ov_slow
ALONG PATH_38
SPEED_PTP_OV   ov_fast
call Fct_Zuenden()
ALONG PATH_39
call Fct_Zuenden()
ALONG PATH_46
Home HOME_1
tq1 = 90
tq2 = -90
call Fct_MoveTragarm()
PTP AWAY_1
call Fct_Zuenden()
ALONG PATH_47
call Fct_Zuenden()
ALONG PATH_48
ENDFCT

!---------------------------------
FCT Fct_ALL_PATH()
ALONG PATH_2
call Fct_Zuenden()
ALONG PATH_3
call Fct_Zuenden()
ALONG PATH_4
call Fct_Zuenden()
ALONG PATH_5
call Fct_Zuenden()
ALONG PATH_6
call Fct_Zuenden()
ALONG PATH_7
call Fct_Zuenden()
ALONG PATH_8
call Fct_Zuenden()
ALONG PATH_9
call Fct_Zuenden()
ALONG PATH_10
call Fct_Zuenden()
ALONG PATH_11
call Fct_Zuenden()
ALONG PATH_12
call Fct_Zuenden()
ALONG PATH_13
call Fct_Zuenden()
ALONG PATH_14
call Fct_Zuenden()
ALONG PATH_15
call Fct_Zuenden()
ALONG PATH_16
call Fct_Zuenden()
ALONG PATH_17
call Fct_Zuenden()
ALONG PATH_18
!------------------------
CALL Fct_Brenner_Rng()
!------------------------
call Fct_Zuenden()
ALONG PATH_19
call Fct_Zuenden()
ALONG PATH_20
call Fct_Zuenden()
ALONG PATH_21
call Fct_Zuenden()
ALONG PATH_22
call Fct_Zuenden()
ALONG PATH_23
call Fct_Zuenden()
ALONG PATH_24
call Fct_Zuenden()
ALONG PATH_25
call Fct_Zuenden()
ALONG PATH_26
call Fct_Zuenden()
ALONG PATH_27
call Fct_Zuenden()
ALONG PATH_28
call Fct_Zuenden()
ALONG PATH_29
call Fct_Zuenden()
ALONG PATH_30
call Fct_Zuenden()
ALONG PATH_31
call Fct_Zuenden()
ALONG PATH_32
call Fct_Zuenden()
ALONG PATH_33
call Fct_Zuenden()
ALONG PATH_34
call Fct_Zuenden()
ALONG PATH_35
call Fct_Zuenden()
ALONG PATH_36
!------------------------
CALL Fct_Brenner_Rng()
!------------------------
call Fct_Zuenden()
ALONG PATH_37
call Fct_Zuenden()
ALONG PATH_38
call Fct_Zuenden()
ALONG PATH_39
call Fct_Zuenden()
ALONG PATH_40
call Fct_Zuenden()
ALONG PATH_41
call Fct_Zuenden()
ALONG PATH_42
call Fct_Zuenden()
ALONG PATH_43
call Fct_Zuenden()
ALONG PATH_44
call Fct_Zuenden()
ALONG PATH_45
call Fct_Zuenden()
ALONG PATH_46
call Fct_Zuenden()
ALONG PATH_47
call Fct_Zuenden()
ALONG PATH_48
call Fct_Zuenden()
ALONG PATH_49
call Fct_Zuenden()
ALONG PATH_50
call Fct_Zuenden()
ALONG PATH_51
call Fct_Zuenden()
ALONG PATH_52
call Fct_Zuenden()
ALONG PATH_53
call Fct_Zuenden()
ALONG PATH_54

call Fct_Zuenden()
ALONG PATH067
call Fct_Zuenden()
ALONG PATH068
call Fct_Zuenden()
ALONG PATH069
ENDFCT

!---------------------------------
Fct Fct_Zuenden()
WAIT             zuendzeit
z_zeit = z_zeit + zuendzeit
gtime = sim_time()
EndFct

!---------------------------------
FCT Fct_Brenner_Rng()
ctime = sim_time()
ERC NO_DECEL OFF
PTP H_1
PTP B_1
LIN B_2
WAIT             Reingzeit
LIN B_3
PTP H_1
ERC NO_DECEL ON
b_rein_zeit = b_rein_zeit + sim_time() - ctime
ENDFCT

!---------------------------------
FCT Fct_AKessel_ON()
ERC CURRENT_DEVICE SET AUSSENKESSEL
ERC DISPLAY_CROBOT ON
ERC CURRENT_DEVICE UNSET
EndFct

FCT Fct_AKessel_OFF()
ERC CURRENT_DEVICE SET AUSSENKESSEL
ERC DISPLAY_CROBOT OFF
ERC CURRENT_DEVICE UNSET
EndFct

FCT Fct_MoveTragarm()
ERC CURRENT_DEVICE SET TRAGARM
SPEED_PTP_OV   100.0000
PTP_AX tq1 tq2
ERC CURRENT_DEVICE UNSET
EndFct

!---------------------------------
FCT Fct_LOOP()
ii=2
WHILE le( ii ,54)
  ERC SET_PARAMETER $NAME_1   PATH_ ii
  call Fct_Zuenden()
  Along $name_1
  IF eq( ii,11)
    CALL Fct_Brenner_Rng()
  ELSEIF eq( ii,37)
    CALL Fct_Brenner_Rng()
  ELSE
  ENDIF
  ii=ii+1
ENDWHILE
ENDFCT
!---------------------------------

FCT TRACE_SHOW()
ERC TRACK ON
ERC COLOR TRACK  MAGENTA
ENDFCT

FCT TRACE_NOSHOW()
ERC TRACK OFF
ERC COLOR TRACK  INVISIBLE
ENDFCT
!---------------------------------


! END PRGFILE  342745504
