ProgramFile
! cRobot 'IRB6650S_300_200'
! below section is called once at t=0
! add Initialization commands here
wp_loaded=0

ERC FLOOR OFF

EndInit
! below section is called at t>0
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC LOAD VIEW MultiProgram_nc_turning_01-view_01.vie

PTP T_HOME
LIN WP_01:T_2
LIN T_1
ERC GRAB DEVICE WP_01
LIN T_2
LIN MACHINE_01:T_3
LIN T_2
LIN T_1
ERC RELEASE DEVICE WP_01
LIN T_2
LIN T_3

!----------------------------------------
! tell machine that workpiece is in 
!----------------------------------------
wp_loaded=1

!----------------------------------------
! wait until work is done 
!----------------------------------------
WAIT_UNTIL_SIGNAL_SET work_done

PTP MACHINE_01:T_3
LIN T_2
LIN T_1
ERC GRAB DEVICE WP_01
LIN T_2
LIN T_3
LIN T_4
LIN PAL_01:T_2
LIN T_1
ERC RELEASE DEVICE WP_01

PTP T_HOME
!HOME 1

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct


! END PRGFILE  924294084
