ProgramFile
! cRobot 'ARC-MATE-120IC-10L'
! add new ERPL / ERCL commands here
ERC ALL_COORSYS OFF
ERC FLOOR OFF
ERC REALTIME_SIM ON
! 
EndInit

ERC CURRENT_DEVICE SET ARC-MATE-120IC-10L
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   95.0000
SPEED_CP_OV    95.0000
SPEED_ORI_OV   95.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
ERC LOAD VIEW arcweld_L_01_v01.vie

Home 1
ERC VIEW steps 100
ERC LOAD VIEW arcweld_L_01_v02.vie
ERC LOAD VIEW arcweld_L_01_v03.vie

call move_cleaning()

ERC CURRENT_DEVICE UNSET
ERC CURRENT_DEVICE SET POSITIONER_01
PTP_AX          45.0000     0.0000
ERC CURRENT_DEVICE UNSET
ERC LOAD VIEW arcweld_L_01_v04.vie

ERC CURRENT_DEVICE SET ARC-MATE-120IC-10L
CONFIG            1
MOVE PATH02:T_0
MOVE PATH02:T_1
ALONG PATH02 T_2 T_8
MOVE PATH03:T_0
MOVE PATH03:T_1
ALONG PATH03 T_2 T_8
call move_cleaning()

ERC CURRENT_DEVICE SET POSITIONER_01
PTP_AX          45.0000     90.0000
ERC CURRENT_DEVICE UNSET
ERC LOAD VIEW arcweld_L_01_v05.vie

ERC CURRENT_DEVICE SET ARC-MATE-120IC-10L
CONFIG            1
MOVE PATH04:T_0
ALONG PATH04 T_1 T_14
call move_cleaning()

ERC CURRENT_DEVICE SET POSITIONER_01
PTP_AX          0.0000     0.0000
ERC CURRENT_DEVICE UNSET
ERC LOAD VIEW arcweld_L_01_v03.vie

ERC CURRENT_DEVICE SET ARC-MATE-120IC-10L
Home 1
ERC CURRENT_DEVICE UNSET

EndProgramFile

fct move_cleaning()
ERC CURRENT_DEVICE SET ARC-MATE-120IC-10L
CONFIG            1
MOVE T_CLEANING_02
LIN T_CLEANING_01
LIN T_CLEANING_02
ERC CURRENT_DEVICE UNSET
endfct


! END PRGFILE  890476456
