ProgramFile

!----Init--------------------------------------------------

MIMIC Init_roboFlex
MIMIC Init_ZP
MIMIC Init_FP
MIMIC Init_workpiece
MIMIC Spray_off

!----Prog Main---------------------------------------------

ERC REALTIME_SIM ON
CALL ZP
ERC SIM_STEP     0.1000
CALL Move_workpiece_1
ERC REALTIME_SIM ON
CALL roboFlex
ERC SIM_STEP     0.1000
CALL Move_workpiece_2
ERC REALTIME_SIM ON
CALL FP

EndProgramFile

!----Functions---------------------------------------------

FCT ZP
ERC CURRENT_DEVICE SET ZP-3
LIN ZP.T_2
WAIT             1.0000
ERC GRAB DEVICE Workpiece
LIN ZP.T_1
LIN ZP.T_3
LIN ZP.T_4
ERC RELEASE DEVICE Workpiece
WAIT             1.0000
LIN ZP.T_3
LIN ZP.T_1
ERC CURRENT_DEVICE UNSET
ENDFCT

FCT roboFlex
ERC CURRENT_DEVICE SET ROBOFLEX_RF-4
LIN workpiece.T_1
WAIT             1.0000
MIMIC Spray_on
LIN workpiece.T_2
MIMIC Spray_off
PTP workpiece.T_3
MIMIC Spray_on
LIN workpiece.T_4
MIMIC Spray_off
PTP workpiece.T_5
MIMIC Spray_on
LIN workpiece.T_6
MIMIC Spray_off
PTP workpiece.T_7
MIMIC Spray_on
LIN workpiece.T_8
MIMIC Spray_off
PTP workpiece.T_9
MIMIC Spray_on
LIN workpiece.T_10
MIMIC Spray_off
PTP workpiece.T_11
MIMIC Spray_on
LIN workpiece.T_12
MIMIC Spray_off
PTP workpiece.T_13
MIMIC Spray_on
LIN workpiece.T_14
MIMIC Spray_off
PTP workpiece.T_15
MIMIC Spray_on
LIN workpiece.T_16
LIN_REL         -0.3000     0.1000     0.0000     0.0000     0.0000     0.0000
MIMIC Spray_off
PTP workpiece.T_17
MIMIC Spray_on
LIN workpiece.T_18
LIN workpiece.T_19
LIN workpiece.T_20
LIN workpiece.T_21
LIN workpiece.T_22
LIN workpiece.T_23
LIN workpiece.T_24
MIMIC Spray_off
ERC CURRENT_DEVICE SET WORKPIECE
ERC COLOR ROBOT PART_2  LIGHTGREEN
ERC CURRENT_DEVICE UNSET
WAIT             1.0000
Home 1
ERC CURRENT_DEVICE UNSET
ENDFCT

FCT FP
ERC CURRENT_DEVICE SET FP-4
LIN FP.T_2
WAIT             1.0000
ERC GRAB DEVICE Workpiece
LIN FP.T_1
LIN FP.T_3
LIN FP.T_4
ERC RELEASE DEVICE Workpiece
WAIT             1.0000
LIN FP.T_3
LIN FP.T_1
ERC CURRENT_DEVICE UNSET
ENDFCT

FCT Move_workpiece_1
ERC CURRENT_DEVICE SET WORKPIECE
ERC ROBOT_BASE_REL     0.0000     4.0000     0.0000     0.0000     0.0000     0.0000
ERC CURRENT_DEVICE UNSET
ENDFCT

FCT Move_workpiece_2
ERC CURRENT_DEVICE SET WORKPIECE
ERC ROBOT_BASE_REL     0.0000     6.0000     0.0000     0.0000     0.0000     0.0000
ERC CURRENT_DEVICE UNSET
ENDFCT

! END PRGFILE  560446380
