ProgramFile
! prgfln unknown
ERC ALL_COORSYS OFF
ERC SET_PARAMETER $NAME_1  SM-NJ-500-2,7
ERC SET_PARAMETER $NAME_2  BOX-200X200X200
ERC FLOOR OFF
!ERC REALTIME_SIM ON
conv_speed_ov = 100
conv_speed_corner_ov = conv_speed_ov * 0.5
conv_accel_ov = 1000
! 
EndInit
! 
ERC CURRENT_DEVICE SET $NAME_1
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   95.0000
SPEED_CP_OV    95.0000
SPEED_ORI_OV   95.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
Home 1
MOVE BOX_1
LIN BOX_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_SIMPLE_02
PTP_AX           -0.02600
ERC GRAB DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_1
LIN CONV_01_0
MOVE CONV_01_1
LIN CONV_01_2
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_SIMPLE_02
PTP_AX           0.0000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_1
LIN BOX_1
Home HOME_1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_3000-01
SPEED_PTP_OV    conv_speed_ov
ACCEL_PTP_OV    conv_accel_ov
ERC GRAB DEVICE $NAME_2
PTP_AX           1.3500
ERC CURRENT_DEVICE SET $NAME_2
ERC COLOR ROBOT BOX-200X200X200  LIGHTRED
ERC CURRENT_DEVICE UNSET
PTP_AX         2.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CCW-01
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1000-01
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         0.3500
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET M-710I
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000

!MOVE BOX_1
LIN BOX_1
!MOVE BOX_3
LIN BOX_3
!MOVE BOX_4
LIN BOX_4
!MOVE BOX_5
LIN BOX_5
!MOVE BOX_6
LIN BOX_6
MOVE BOX_1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1000-01
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
PTP_AX         0.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CW-01
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         -90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1000-02
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         0.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CCW-02
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1500-01
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         0.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET IRB4400_45
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
MOVE BOX_1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_04
SPEED_PTP_OV    conv_speed_ov
PTP_AX           0.03000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET IRB4400_45
MOVE BOX_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_04
SPEED_PTP_OV    conv_speed_ov
PTP_AX           0.01000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET IRB4400_45
SPEED_CP         0.400
ERC GRAB DEVICE $NAME_2
MOVE BUCKET_2
MOVE BUCKET_3
MOVE BUCKET_4
ERC CURRENT_DEVICE SET $NAME_2
ERC COLOR ROBOT BOX-200X200X200  GREEN
ERC CURRENT_DEVICE UNSET
MOVE BUCKET_3
MOVE BUCKET_2
LIN BUCKET_1
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_04
SPEED_PTP_OV    conv_speed_ov
PTP_AX           0.03000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET IRB4400_45
MOVE BUCKET_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1500-01
SPEED_PTP_OV    conv_speed_ov
ERC GRAB DEVICE $NAME_2
CALL set_conv()
PTP_AX         1.2000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CCW-03
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1500-02
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         1.2000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CCW-04
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_1000-03
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         0.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_CORNER_SMALL_CW-02
SPEED_PTP_OV    conv_speed_corner_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         -90.000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYER01_STRAIGHT_3000-02
SPEED_PTP_OV    conv_speed_ov
CALL set_conv()
ERC GRAB DEVICE $NAME_2
PTP_AX         2.7000
ERC RELEASE DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_1
SPEED_PTP_OV    conv_speed_ov
MOVE BOX_1
LIN BOX_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_SIMPLE_02
PTP_AX           -0.02600
ERC GRAB DEVICE $NAME_2
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_1
PTP CONV_01_0
MOVE PALETTE_1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET GRIPPER_SIMPLE_02
ERC RELEASE DEVICE $NAME_2
PTP_AX           0.0000
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_1
SPEED_CP         0.5000
LIN BOX_1
HOME 1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET $NAME_2
ERC COLOR ROBOT BOX-200X200X200  LIGHTBLUE
ERC CURRENT_DEVICE UNSET
EndProgramFile

FCT set_conv()
ACCEL_PTP_OV    conv_accel_ov
ERC NO_DECEL OFF
ZONE             0.0000
ENDFCT

! END PRGFILE  2778419936
