ProgramFile
! cRobot 'RX130BL'
! add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP       30.0000 0.0
ACCEL_PTP       40.0000
ACCEL_PTP_END    40.0000
SPEED_CP         0.2500 0.0
ACCEL_CP         1.5000
ACCEL_CP_END     1.5000
SPEED_ORI       30.0000 0.0
ACCEL_ORI       40.0000
ACCEL_ORI_END    40.0000
! ---------

R01_DOUT = 0
EndInit

Home 1

!------------------------------------------
! pick up the panel
!------------------------------------------
MOVE PANEL:T_1
ERC GRAB DEVICE PANEL
LIN R01:T_1

!------------------------------------------
! tell Rob2 & Rob3 the Rob1 is in position
!------------------------------------------
R01_DOUT = 1

!------------------------------------------
! wait for signal Rob2 and Rob3 are in position
!------------------------------------------
WAIT_UNTIL_SIGNAL_SET R02_DOUT
WAIT_UNTIL_SIGNAL_SET R03_DOUT

!------------------------------------------
! move the panel
!------------------------------------------
LIN R01:T_2
LIN R01:T_3
LIN R01:T_4
LIN R01:T_5
LIN R01:T_6
LIN R01:T_7
LIN R01:T_8
LIN R01:T_9
LIN R01:T_10
LIN R01:T_1

!------------------------------------------
! tell Rob2 and Rob3 that job is done
!------------------------------------------
R01_DOUT = 0

!------------------------------------------
! wait for signal Rob2 and Rob3 are home
!------------------------------------------
WAIT_UNTIL_SIGNAL_UNSET R02_DOUT
WAIT_UNTIL_SIGNAL_UNSET R03_DOUT

!------------------------------------------
! release the panel
!------------------------------------------
LIN R01:T_0
ERC RELEASE DEVICE PANEL

HOME 1

EndProgramFile


! END PRGFILE  2133050496
