ProgramFile
! cRobot 'CONV_LONG'
! Below section is called once at t=0
! Add Initialization commands here
!
CONV_LONG_DOUT=0
CONV_MODE=1
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   60.0000
SPEED_CP_OV    75.0000
SPEED_ORI_OV   75.0000
ACCEL_PTP_OV   50.0000
ACCEL_CP_OV    50.0000
ACCEL_ORI_OV   50.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC FLOOR OFF
ERC USE_TAG_ATTRIBUTES ON
ERC TAG_TEXT OFF

Home 1

WHILE 1

IF CONV_MODE
 SLEW T_CONV_4
 CONV_LONG_DOUT=1
! ca 1500mm in 100s
SPEED_PTP_AX     mm2m*15
 SLEW T_CONV_5
SPEED_PTP_OV   60.0000
ELSE
 SLEW T_CONV_2
 CONV_LONG_DOUT=1
ENDIF

 WAIT_UNTIL_SIGNAL_SET R01_DOUT
 R01_DOUT=0
 WAIT_UNTIL_SIGNAL_SET R02_DOUT
 R02_DOUT=0

 PTP T_CONV_3

WAIT             2.0000
JUMP_TO T_CONV_1

ENDWHILE

EndProgramFile


! END PRGFILE  1893433604
