ProgramFile
! Below section is called once at t=0
! Add Initialization commands here
! 
R02_DOUT = 0
R02_RUNNING = 1
!
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   50.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
ERC FLOOR OFF
ERC LOAD VIEW spot_weld_01.vie
ERC TAG_TEXT OFF

SPEED_CP         0.1000

! first time, make sure that GUN is not active
 WAIT_UNTIL_SIGNAL_UNSET GUN_02_DOUT

WHILE R02_RUNNING

 PTP T_HOME_1
 LIN T_S2R1_APP1
 LIN T_S2R1_APP2
 LIN T_S2R1_1
 call do_weld()
 LIN T_S2R1_A
 call do_weld()
 LIN T_S2R1_2
 call do_weld()
 LIN T_S2R1_B
 call do_weld()
 LIN T_S2R1_3
 call do_weld()
 LIN T_S2R1_4
 call do_weld()
 LIN T_S2R1_C
 LIN T_S2R1_8
 call do_weld()
 LIN T_S2R1_D
 LIN T_S2R1_9
 call do_weld()
 LIN T_S2R1_E
 LIN T_HOME_1

 R02_RUNNING = 0
 R02_DOUT = 1

ENDWHILE

! 
EndProgramFile

Fct do_weld()
!
!------------------------------------------
! tell Gun that Rob2 is in position
!------------------------------------------
R02_DOUT = 1
!------------------------------------------
! wait for signal that Gun's job is done
!------------------------------------------
WAIT_UNTIL_SIGNAL_SET GUN_02_DOUT
R02_DOUT = 0
WAIT_UNTIL_SIGNAL_UNSET GUN_02_DOUT
! 
EndFct


! END PRGFILE  4125948596
