ProgramFile
! Below section is called once at t=0
! Add Initialization commands here
! 
R01_DOUT_01 = 0
R01_DOUT_02 = 0
R01_RUNNING = 1
!
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   50.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

SPEED_CP         0.1000

! first time, make sure that GUN is not active
 WAIT_UNTIL_SIGNAL_UNSET GUN_01_DOUT

! start the other robot
 R01_DOUT_02 = 1

WHILE R01_RUNNING

 PTP T_R3HOME1
 R01_DOUT_02=0
 LIN T_R3POUNCE1
 LIN T_R3POUNCE2
 LIN T_R3_V1
 LIN T_R3_1
 call do_weld()
 LIN T_R3_2
 call do_weld()
 LIN T_R3_2V3
 LIN T_R3_3
 call do_weld()
 LIN T_R3_4
 call do_weld()
 LIN T_R3_5
 call do_weld()
 LIN T_R3_5V6A
 LIN T_R3_5V6B
 LIN T_R3_6
 call do_weld()
 LIN T_R3_7
 call do_weld()
 LIN T_R3OUT1
 LIN T_R3OUT2
 LIN T_R3OUT3
 LIN T_R3HOME2

 R01_RUNNING = 0
 R01_DOUT = 1

ENDWHILE

EndProgramFile

Fct do_weld()
!
!------------------------------------------
! tell Gun that Rob1 is in position
!------------------------------------------
R01_DOUT = 1
!------------------------------------------
! wait for signal that Gun's job is done
!------------------------------------------
WAIT_UNTIL_SIGNAL_SET GUN_01_DOUT
R01_DOUT = 0
WAIT_UNTIL_SIGNAL_UNSET GUN_01_DOUT
! 
EndFct


! END PRGFILE  232349320
